Novelty Polygonal Mathematics

    @pixi/unsafe-eval
    TypeScript icon, indicating that this package has built-in type declarations

    6.5.1 • Public • Published

    @pixi/unsafe-eval

    Adds support for environments that disallow support of new Function, such as WeChat.

    Installation

    npm install @pixi/unsafe-eval

    Usage

    If you are using a bundler, you need to pass the core bundle into the install method. This function takes one arguments, either the global PIXI object, or the core.

    import { ShaderSystem, Renderer } from '@pixi/core';
    import { install } from '@pixi/unsafe-eval';
    
    // Apply the patch to PIXI
    install({ ShaderSystem });
    
    // Create the renderer with patch applied
    const renderer = new Renderer();

    If you are including unsafe-eval.js direct, you do not need to do anything else:

    <script src="pixi.min.js"></script>
    <script src="unsafe-eval.min.js"></script>

    Keywords

    none

    Install

    npm i @pixi/unsafe-eval

    Homepage

    pixijs.com/

    DownloadsWeekly Downloads

    32,758

    Version

    6.5.1

    License

    MIT

    Unpacked Size

    163 kB

    Total Files

    16

    Last publish

    Collaborators

    • andrewstart
    • dev7355608
    • bigtimebuddy